1. pet
My Project
  • Start your Apidog journey
  • petstore
    • user
      • Get user by user name
      • Updated user
      • Delete user
      • Create user
      • Creates list of users with given input array
      • Creates list of users with given input array
      • Logs out current logged in user session
      • Logs user into the system
    • pet
      • Update an existing pet
        PUT
      • Add a new pet to the store
        POST
      • Find pet by ID
        GET
      • Updates a pet in the store with form data
        POST
      • Deletes a pet
        DELETE
      • uploads an image
        POST
      • Finds Pets by tags
        GET
      • Finds Pets by status
        GET
    • store
      • Place an order for a pet
      • Find purchase order by ID
      • Delete purchase order by ID
      • Returns pet inventories by status
  • Schemas
    • Sample Schemas
    • RequestBodies
    • Schemas
      • User
      • Category
      • Pet
      • Tag
      • Order
      • ModelApiResponse
  1. pet

Updates a pet in the store with form data

POST
/v2/pet/{petId}

Request

Path Params

Query Params

Responses

🟠405405
Invalid input
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v2/pet/'
Modified at 2025-06-16 08:41:33
Previous
Find pet by ID
Next
Deletes a pet
Built with